com.sun.jna.platform.win32.COM

## Class TypeInfoUtil.Invoke

- java.lang.Object
- - com.sun.jna.platform.win32.COM.TypeInfoUtil.Invoke

- Enclosing class:
    TypeInfoUtil

      public static class TypeInfoUtil.Invoke
      extends java.lang.Object

  The Class Invoke.
  Author:
    wolf.tobias@gmx.net The Class Invoke.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Invoke(Variant.VARIANT.ByReference pVarResult, OaIdl.EXCEPINFO.ByReference pExcepInfo, int puArgErr)` Instantiates a new invoke.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OaIdl.EXCEPINFO.ByReference` | `getpExcepInfo()` Gets the p excep info.
    `int` | `getPuArgErr()` Gets the pu arg err.
    `Variant.VARIANT.ByReference` | `getpVarResult()` Gets the p var result.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Invoke

          public Invoke(Variant.VARIANT.ByReference pVarResult,
                        OaIdl.EXCEPINFO.ByReference pExcepInfo,
                        int puArgErr)

      Instantiates a new invoke.
      Parameters:
        `pVarResult` - the var result
        `pExcepInfo` - the excep info
        `puArgErr` - the pu arg err

  - ### Method Detail

    - #### getpVarResult

          public Variant.VARIANT.ByReference getpVarResult()

      Gets the p var result.
      Returns:
        the p var result

    - #### getpExcepInfo

          public OaIdl.EXCEPINFO.ByReference getpExcepInfo()

      Gets the p excep info.
      Returns:
        the p excep info

    - #### getPuArgErr

          public int getPuArgErr()

      Gets the pu arg err.
      Returns:
        the pu arg err

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.